Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# CIAO::Container Class Reference

Common container interface definition. More...

`#include <Container_Base.h>`

Inheritance diagram for CIAO::Container:

[legend]
List of all members.

## Public Methods
| Container (CORBA::ORB_ptr o)
virtual | ~Container (void)=0
virtual PortableServer::POA_ptr | _ciao_the_POA (void)
virtual CORBA::ORB_ptr | _ciao_the_ORB (void)
| Get a reference to the underlying ORB.
virtual int | init (const char *name=0, const CORBA::PolicyList *more_policies=0 ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw (CORBA::SystemException)
| Initialize the container with a name.
virtual Components::CCMHome_ptr | ciao_install_home (const char *exe_dll_name, const char *exe_entrypt, const char *sv_dll_name, const char *sv_entrypt ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw (CORBA::SystemException, Components::Deployment::UnknownImplId, Components::Deployment::ImplEntryPointNotFound, Components::Deployment::InstallationFailure)
| Install a new home.
virtual void | ciao_uninstall_home (Components::CCMHome_ptr homeref ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw (CORBA::SystemException)
## Protected Attributes
CORBA::ORB_var | orb_
PortableServer::POA_var | poa_

## Detailed Description

Common container interface definition.

Perhaps we can use local interface to define these interfaces as we will also get reference counting automatically.

## Constructor & Destructor Documentation

CIAO::Container::Container | ( | CORBA::ORB_ptr | o | ) |

CIAO::Container::~Container | ( | void |  | ) | `[pure virtual]`

## Member Function Documentation

CORBA::ORB_ptr CIAO::Container::_ciao_the_ORB | ( | void |  | ) | `[virtual]`

| Get a reference to the underlying ORB.

PortableServer::POA_ptr CIAO::Container::_ciao_the_POA | ( | void |  | ) | `[virtual]`

| Get the containing POA. This operation does *NOT* increase the reference count of the POA.

virtual Components::CCMHome_ptr CIAO::Container::ciao_install_home | ( | const char * | exe_dll_name,
|  | const char * | exe_entrypt,
|  | const char * | sv_dll_name,
|  | const char *sv_entrypt | ACE_ENV_ARG_DECL_WITH_DEFAULTS
| ) | throw (CORBA::SystemException, Components::Deployment::UnknownImplId, Components::Deployment::ImplEntryPointNotFound, Components::Deployment::InstallationFailure)`[pure virtual]`

| Install a new home. Implemented in CIAO::Session_Container.

virtual void CIAO::Container::ciao_uninstall_home | ( | Components::CCMHome_ptr homeref | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw (CORBA::SystemException)`[pure virtual]`

| Implemented in CIAO::Session_Container.

virtual int CIAO::Container::init | ( | const char * | name = 0,
|  | const CORBA::PolicyList * | more_policies = 0 ACE_ENV_ARG_DECL_WITH_DEFAULTS
| ) | throw (CORBA::SystemException)`[pure virtual]`

| Initialize the container with a name. Implemented in CIAO::Session_Container.

## Member Data Documentation

CORBA::ORB_var CIAO::Container::orb_`[protected]`

PortableServer::POA_var CIAO::Container::poa_`[protected]`

The documentation for this class was generated from the following files:

- Container_Base.h
- Container_Base.cpp